var I18N = {},
	lang = navigator.language.toLocaleLowerCase(),
	_ = function(str){
        return (I18N[lang] && I18N[lang][str])? I18N[lang][str]: str;
    }

$(function() {
    // $(document)
    //     .on('contextmenu', function(event){
    //             return true;
    //         })
    //     .keypress(function(event){
    //             var eventObj = event || e,
    //                 keyCode = eventObj.keyCode || eventObj.which;
    //
    //             if(keyCode == 13){
    //                 event.stopPropagation();
    //                 $('#submit:not(:disabled)').click();
    //                 return false;
    //             }
    //         });
});

function lookupItemInput(x, y){
    var elem = document.elementFromPoint(x, y);
    $(elem).click();
}

const sendConfig={
    isSketchWebView:true
};


function executionSketchFun(fn,data) {
    try {
        if(!sendConfig.isSketchWebView){

            window.webkit.messageHandlers.sketchPlugin.postMessage(JSON.stringify(data));
        }else {
            window.postMessage(fn,data)
        }

    } catch (err) {
        console.log('没有连接sketch', data)
    }

}

